<section class='scaffold'>
  <h2 class="breadcrumbs">
    <%= link_to "Properties", properties_path %>
    <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
    <%= @property.property_name %>
  </h2>

  <p>
    <%= link_to '<i class="fa fa-plus-circle" aria-hidden="true"></i>New Property'.html_safe, new_property_path, class: "addButton" %>
  </p>

  <table class="scaffoldDataTable">
    <tbody>
      <tr>
        <th>Property Name</th>

        <th>Property Address</th>

        <th>Advertised Rent</th>

        <th>Created</th>

        <th>Last Updated</th>
      </tr>

      <tr>
        <td><%= @property.property_name %></td>

        <td>
          <pre><%= @property.property_address %></pre>
        </td>

        <td><%= @property.advertised_monthly_rent.presence || 0.0 %></td>

        <td><%= @property.created_at.strftime("%H:%M:%S %A %d %B %Y") %></td>

        <td><%= @property.updated_at.strftime("%H:%M:%S %A %d %B %Y") %></td>
      </tr>

      <tr>
        <th>Landlords</th>
      </tr>
      <% @property.landlords.each do |landlord| %>
        <tr>
          <td><%= link_to "#{landlord.first_name+" "+landlord.last_name+", "+landlord.email}", landlord %></td>
        </tr>
      <% end %>

      <% unless @property.tenancy.blank? %>
        <tr>
          <th>Tenants  <%= link_to 'Edit Tenancy'.html_safe, edit_tenancy_path(@property.tenancy)%> </th>
        </tr>
        <% @property.tenancy.tenants.each do |tenant| %>
          <tr>
            <td><%= link_to "#{tenant.first_name+" "+tenant.last_name+", "+tenant.email}", tenant %></td>
          </tr>
        <% end %>
      <% else %>
        <tr>
          <th>Tenants</th>
        </tr>
        <tr>
          <td>No tenancies. <%= link_to 'Add one'.html_safe, new_tenancy_path(property_id: @property.id), method: :get %></td>
        </tr>
      <% end %>
    </tbody>
  </table>

  <p>
    <%= link_to '<i class="fa fa-pencil" aria-hidden="true"></i>Edit Property'.html_safe, edit_property_path(@property), class: "defaultButton" %>
  </p>
</section>